module TestGroup {
    export class TestingGroup extends Base.BasicGroup {
        fill: Fill.Fill;
        

        constructor(game, name, x, y, json) {
            super(game, name, x, y, json);

        }

        init(json) {
            super.init(json);
        }

        preload() {
            super.preload();
            JD.loadScript(GameTypes.Fill);
        }

        create() {
           
            super.create();
            this.fill = new Fill.Fill(this.game, this.name, Global.Main.mainContainerDims.x, Global.Main.mainContainerDims.y, this.json);
            this.fill.preload();
            this.addChild(this.fill);
            

                
           

        }


    }
}